MacOS – meld on OS X 10.7 doesn’t work

installationmacosmacportsmeld

I'm installing meld on Mac OS 10.7 using port.

It has downloaded all dependencies and told that everything is ok:

Staging meld into destroot
Installing meld @1.5.3_0
Activating meld @1.5.3_0
Cleaning meld
Updating database of binaries: 100.0%
Scanning binaries for linking errors: 100.0%
No broken files found.

but when I run:

[18:28:24]~$ meld

Traceback (most recent call last):

File "/opt/local/bin/meld", line 75, in <module>

locale.setlocale(locale.LC_ALL,'')

File "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/locale.py", line 539, in setlocale

return _setlocale(category, locale)

locale.Error: unsupported locale setting

what is the problem and how to deal with it?

Best Answer

  • I have the same issue with meld using Fink under Mac OSX 10.7.5.

    This fixes the problem: before launching meld from the command line, use this:

     export LC_ALL='en_US'
    
  • Related Question